--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The number of rows affected by the Command
  name: affected_rows
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The ID of a row inserted by the Command
  name: insert_id
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The Result class is returned from Connection#execute_non_query.
constants: []

full_name: DataObjects::Result
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_i
name: Result
superclass: Object
